1

I am installing mu4e. Pulling email and indexing with mu both work. But calling M-x mu4e gives:

error in process filter: Invalid byte opcode: op=183, ptr=6

In addition, if I add these lines to ~/.emacs:

(add-to-list 'mu4e-bookmarks
       (make-mu4e-bookmark
        :name "Inbox"
        :query "maildir:/Exchange/INBOX"
        :key ?i))

I am unable to even load it:

Symbol's function definition is void: record

The same code works with my colleagues. How can I fix it?

  • What version of emacs are you using? – Dan Mar 12 '19 at 14:00
  • 1
    Elisp which was byte-compiled on an older version of Emacs will also run on newer versions; but the reverse does not necessarily apply, as the language continues to evolve over time. I prefer to install the same version of Emacs on all the systems I use, as it side-steps the whole issue of cross-version compatibility for my config. – phils Mar 12 '19 at 22:10
2

My crystal ball tells me you're using an Elisp package that was compiled with a more recent Emacs than the Emacs you're using.

So, either recompile that Elisp package with your older Emacs, or stop using that older Emacs and use the newer one instead.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.